Loading...
Searching...
No Matches
Mock.h File Reference

Go to the source code of this file.

## Macros

#define | CXXTEST_MOCK_NAMESPACE T
#define | __CXXTEST_MOCK__TRAITS
#define | CXXTEST_EXTERN_C extern "C"
#define | __CXXTEST_MOCK__PROTOTYPE(MOCK, TYPE, NAME, ARGS, REAL, CALL)
#define | __CXXTEST_MOCK_VOID__PROTOTYPE(MOCK, NAME, ARGS, REAL, CALL)
#define | __CXXTEST_SUPPLY__PROTOTYPE(MOCK, TYPE, NAME, ARGS, REAL, CALL)
#define | __CXXTEST_SUPPLY_VOID__PROTOTYPE(MOCK, NAME, ARGS, REAL, CALL)
#define | __CXXTEST_MOCK__CLASS_DECLARATION(MOCK, TYPE, NAME, ARGS, REAL, CALL)
#define | __CXXTEST_MOCK_VOID__CLASS_DECLARATION(MOCK, NAME, ARGS, REAL, CALL)
#define | __CXXTEST_SUPPLY__CLASS_DECLARATION(MOCK, TYPE, NAME, ARGS, REAL, CALL)
#define | __CXXTEST_SUPPLY_VOID__CLASS_DECLARATION(MOCK, NAME, ARGS, REAL, CALL)
#define | __CXXTEST_MOCK__COMMON_CLASS_IMPLEMENTATION(MOCK, NAME)
#define | __CXXTEST_MOCK__CLASS_IMPLEMENTATION(MOCK, TYPE, NAME, ARGS, REAL, CALL)
#define | __CXXTEST_MOCK_VOID__CLASS_IMPLEMENTATION(MOCK, NAME, ARGS, REAL, CALL)
#define | __CXXTEST_SUPPLY__CLASS_IMPLEMENTATION(MOCK, TYPE, NAME, ARGS, REAL, CALL)
#define | __CXXTEST_SUPPLY_VOID__CLASS_IMPLEMENTATION(MOCK, NAME, ARGS, REAL, CALL)
#define | __CXXTEST_MOCK_UNIMPLEMENTED(NAME, ARGS)
#define | CXXTEST_MOCK_NAMESPACE_STR __CXXTEST_STR(CXXTEST_MOCK_NAMESPACE) "::"
#define | __CXXTEST_STR(X)
#define | __CXXTEST_XSTR(X)
#define | CXXTEST_MOCK(MOCK, TYPE, NAME, ARGS, REAL, CALL)
#define | CXXTEST_MOCK_VOID(MOCK, NAME, ARGS, REAL, CALL)
#define | CXXTEST_SUPPLY(MOCK, TYPE, NAME, ARGS, REAL, CALL)
#define | CXXTEST_SUPPLY_VOID(MOCK, NAME, ARGS, REAL, CALL)
#define | CXXTEST_SUPPLY_C(MOCK, TYPE, NAME, ARGS, REAL, CALL)
#define | CXXTEST_SUPPLY_VOID_C(MOCK, NAME, ARGS, REAL, CALL)
#define | CXXTEST_MOCK_GLOBAL(TYPE, NAME, ARGS, CALL)
#define | CXXTEST_MOCK_VOID_GLOBAL(NAME, ARGS, CALL)
#define | CXXTEST_SUPPLY_GLOBAL(TYPE, NAME, ARGS, CALL)
#define | CXXTEST_SUPPLY_VOID_GLOBAL(NAME, ARGS, CALL)
#define | CXXTEST_SUPPLY_GLOBAL_C(TYPE, NAME, ARGS, CALL)
#define | CXXTEST_SUPPLY_VOID_GLOBAL_C(NAME, ARGS, CALL)
#define | CXXTEST_MOCK_DEFAULT_VALUE(TYPE, VALUE)

## Macro Definition Documentation

## __CXXTEST_MOCK__CLASS_DECLARATION

#define __CXXTEST_MOCK__CLASS_DECLARATION | ( |  | MOCK,
|  |  | TYPE,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
namespace CXXTEST_MOCK_NAMESPACE { \
class Base_##MOCK : public CxxTest::Link \
{ \
public: \
Base_##MOCK(); \
~Base_##MOCK(); \
bool setUp(); \
bool tearDown(); \
\
static Base_##MOCK &current(); \
\
virtual TYPE NAME ARGS = 0; \
\
private: \
static CxxTest::List _list; \
}; \
\
class Real_##MOCK : public Base_##MOCK \
{ \
public: \
TYPE NAME ARGS; \
}; \
\
class _Unimplemented_##MOCK : public Base_##MOCK \
{ \
public: \
TYPE NAME ARGS; \
}; \
}
CXXTEST_MOCK_NAMESPACE
#define CXXTEST_MOCK_NAMESPACE
Definition Mock.h:8
CxxTest::Link
Definition LinkedList.h:32
CxxTest::List
Definition LinkedList.h:12

Definition at line 52 of file Mock.h.

#define __CXXTEST_MOCK__CLASS_DECLARATION( MOCK, TYPE, NAME, ARGS, REAL, CALL ) \
namespace CXXTEST_MOCK_NAMESPACE { \
class Base_##MOCK : public CxxTest::Link \
{ \
public: \
Base_##MOCK(); \
~Base_##MOCK(); \
bool setUp(); \
bool tearDown(); \
\
static Base_##MOCK &current(); \
\
virtual TYPE NAME ARGS = 0; \
\
private: \
static CxxTest::List _list; \
}; \
\
class Real_##MOCK : public Base_##MOCK \
{ \
public: \
TYPE NAME ARGS; \
}; \
\
class _Unimplemented_##MOCK : public Base_##MOCK \
{ \
public: \
TYPE NAME ARGS; \
}; \
}

## __CXXTEST_MOCK__CLASS_IMPLEMENTATION

#define __CXXTEST_MOCK__CLASS_IMPLEMENTATION | ( |  | MOCK,
|  |  | TYPE,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
__CXXTEST_MOCK__COMMON_CLASS_IMPLEMENTATION( MOCK, NAME ) \
namespace CXXTEST_MOCK_NAMESPACE { \
TYPE Real_##MOCK::NAME ARGS \
{ \
return REAL CALL; \
} \
\
TYPE _Unimplemented_##MOCK::NAME ARGS \
{ \
while ( false ) \
return NAME CALL; \
__CXXTEST_MOCK_UNIMPLEMENTED( NAME, ARGS ); \
return MockTraits<TYPE>::defaultValue(); \
} \
\
TYPE NAME ARGS \
{ \
return Base_##MOCK::current().NAME CALL; \
} \
}
__CXXTEST_MOCK__COMMON_CLASS_IMPLEMENTATION
#define __CXXTEST_MOCK__COMMON_CLASS_IMPLEMENTATION(MOCK, NAME)
Definition Mock.h:117

Definition at line 135 of file Mock.h.

#define __CXXTEST_MOCK__CLASS_IMPLEMENTATION( MOCK, TYPE, NAME, ARGS, REAL, CALL ) \
__CXXTEST_MOCK__COMMON_CLASS_IMPLEMENTATION( MOCK, NAME ) \
namespace CXXTEST_MOCK_NAMESPACE { \
TYPE Real_##MOCK::NAME ARGS \
{ \
return REAL CALL; \
} \
\
TYPE _Unimplemented_##MOCK::NAME ARGS \
{ \
while ( false ) \
return NAME CALL; \
__CXXTEST_MOCK_UNIMPLEMENTED( NAME, ARGS ); \
return MockTraits<TYPE>::defaultValue(); \
} \
\
TYPE NAME ARGS \
{ \
return Base_##MOCK::current().NAME CALL; \
} \
}

## __CXXTEST_MOCK__COMMON_CLASS_IMPLEMENTATION

#define __CXXTEST_MOCK__COMMON_CLASS_IMPLEMENTATION | ( |  | MOCK,
|  |  | NAME )

Value:
namespace CXXTEST_MOCK_NAMESPACE { \
\
CxxTest::List Base_##MOCK::_list = { 0, 0 }; \
\
Base_##MOCK::Base_##MOCK() { attach( _list ); } \
Base_##MOCK::~Base_##MOCK() { detach( _list ); } \
bool Base_##MOCK::setUp() { return true; } \
bool Base_##MOCK::tearDown() { return true; } \
\
Base_##MOCK &Base_##MOCK::current() \
{ \
if ( _list.empty() ) \
static _Unimplemented_##MOCK unimplemented; \
return *(Base_##MOCK *)_list.tail(); \
} \
}

Definition at line 117 of file Mock.h.

#define __CXXTEST_MOCK__COMMON_CLASS_IMPLEMENTATION( MOCK, NAME ) \
namespace CXXTEST_MOCK_NAMESPACE { \
\
CxxTest::List Base_##MOCK::_list = { 0, 0 }; \
\
Base_##MOCK::Base_##MOCK() { attach( _list ); } \
Base_##MOCK::~Base_##MOCK() { detach( _list ); } \
bool Base_##MOCK::setUp() { return true; } \
bool Base_##MOCK::tearDown() { return true; } \
\
Base_##MOCK &Base_##MOCK::current() \
{ \
if ( _list.empty() ) \
static _Unimplemented_##MOCK unimplemented; \
return *(Base_##MOCK *)_list.tail(); \
} \
}

## __CXXTEST_MOCK__PROTOTYPE

#define __CXXTEST_MOCK__PROTOTYPE | ( |  | MOCK,
|  |  | TYPE,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
namespace CXXTEST_MOCK_NAMESPACE { TYPE NAME ARGS; }

Definition at line 37 of file Mock.h.

#define __CXXTEST_MOCK__PROTOTYPE( MOCK, TYPE, NAME, ARGS, REAL, CALL ) \
namespace CXXTEST_MOCK_NAMESPACE { TYPE NAME ARGS; }

## __CXXTEST_MOCK__TRAITS

#define __CXXTEST_MOCK__TRAITS

Value:
namespace CXXTEST_MOCK_NAMESPACE \
{ \
template<class T> \
class MockTraits \
{ \
public: \
static T defaultValue() { return 0; } \
}; \
};
T
STATIC_VAR jList * T
Definition janet.cc:30

Definition at line 14 of file Mock.h.

#define __CXXTEST_MOCK__TRAITS \
namespace CXXTEST_MOCK_NAMESPACE \
{ \
template<class T> \
class MockTraits \
{ \
public: \
static T defaultValue() { return 0; } \
}; \
};

## __CXXTEST_MOCK_UNIMPLEMENTED

#define __CXXTEST_MOCK_UNIMPLEMENTED | ( |  | NAME,
|  |  | ARGS )

Value:
TS_FAIL( CXXTEST_MOCK_NAMESPACE_STR #NAME #ARGS " called with no " \
CXXTEST_MOCK_NAMESPACE_STR "Base_" #NAME " object" ); \
CXXTEST_MOCK_NAMESPACE_STR
#define CXXTEST_MOCK_NAMESPACE_STR
Definition Mock.h:218
TS_FAIL
#define TS_FAIL(e)
Definition TestSuite.h:229

Definition at line 214 of file Mock.h.

#define __CXXTEST_MOCK_UNIMPLEMENTED( NAME, ARGS ) \
TS_FAIL( CXXTEST_MOCK_NAMESPACE_STR #NAME #ARGS " called with no " \
CXXTEST_MOCK_NAMESPACE_STR "Base_" #NAME " object" ); \

## __CXXTEST_MOCK_VOID__CLASS_DECLARATION

#define __CXXTEST_MOCK_VOID__CLASS_DECLARATION | ( |  | MOCK,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
__CXXTEST_MOCK__CLASS_DECLARATION( MOCK, void, NAME, ARGS, REAL, CALL )
__CXXTEST_MOCK__CLASS_DECLARATION
#define __CXXTEST_MOCK__CLASS_DECLARATION(MOCK, TYPE, NAME, ARGS, REAL, CALL)
Definition Mock.h:52

Definition at line 83 of file Mock.h.

#define __CXXTEST_MOCK_VOID__CLASS_DECLARATION( MOCK, NAME, ARGS, REAL, CALL ) \
__CXXTEST_MOCK__CLASS_DECLARATION( MOCK, void, NAME, ARGS, REAL, CALL )

## __CXXTEST_MOCK_VOID__CLASS_IMPLEMENTATION

#define __CXXTEST_MOCK_VOID__CLASS_IMPLEMENTATION | ( |  | MOCK,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
__CXXTEST_MOCK__COMMON_CLASS_IMPLEMENTATION( MOCK, NAME ) \
namespace CXXTEST_MOCK_NAMESPACE { \
void Real_##MOCK::NAME ARGS \
{ \
REAL CALL; \
} \
\
void _Unimplemented_##MOCK::NAME ARGS \
{ \
while ( false ) \
NAME CALL; \
__CXXTEST_MOCK_UNIMPLEMENTED( NAME, ARGS ); \
} \
\
void NAME ARGS \
{ \
Base_##MOCK::current().NAME CALL; \
} \
}

Definition at line 157 of file Mock.h.

#define __CXXTEST_MOCK_VOID__CLASS_IMPLEMENTATION( MOCK, NAME, ARGS, REAL, CALL ) \
__CXXTEST_MOCK__COMMON_CLASS_IMPLEMENTATION( MOCK, NAME ) \
namespace CXXTEST_MOCK_NAMESPACE { \
void Real_##MOCK::NAME ARGS \
{ \
REAL CALL; \
} \
\
void _Unimplemented_##MOCK::NAME ARGS \
{ \
while ( false ) \
NAME CALL; \
__CXXTEST_MOCK_UNIMPLEMENTED( NAME, ARGS ); \
} \
\
void NAME ARGS \
{ \
Base_##MOCK::current().NAME CALL; \
} \
}

## __CXXTEST_MOCK_VOID__PROTOTYPE

#define __CXXTEST_MOCK_VOID__PROTOTYPE | ( |  | MOCK,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
__CXXTEST_MOCK__PROTOTYPE( MOCK, void, NAME, ARGS, REAL, CALL )
__CXXTEST_MOCK__PROTOTYPE
#define __CXXTEST_MOCK__PROTOTYPE(MOCK, TYPE, NAME, ARGS, REAL, CALL)
Definition Mock.h:37

Definition at line 40 of file Mock.h.

#define __CXXTEST_MOCK_VOID__PROTOTYPE( MOCK, NAME, ARGS, REAL, CALL ) \
__CXXTEST_MOCK__PROTOTYPE( MOCK, void, NAME, ARGS, REAL, CALL )

## __CXXTEST_STR

#define __CXXTEST_STR | ( |  | X | ) |

Value:
__CXXTEST_XSTR(X)
__CXXTEST_XSTR
#define __CXXTEST_XSTR(X)
Definition Mock.h:220

Definition at line 219 of file Mock.h.

## __CXXTEST_SUPPLY__CLASS_DECLARATION

#define __CXXTEST_SUPPLY__CLASS_DECLARATION | ( |  | MOCK,
|  |  | TYPE,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
namespace CXXTEST_MOCK_NAMESPACE { \
class Base_##MOCK : public CxxTest::Link \
{ \
public: \
Base_##MOCK(); \
~Base_##MOCK(); \
bool setUp(); \
bool tearDown(); \
\
static Base_##MOCK &current(); \
\
virtual TYPE NAME ARGS = 0; \
\
private: \
static CxxTest::List _list; \
}; \
\
class _Unimplemented_##MOCK : public Base_##MOCK \
{ \
public: \
TYPE NAME ARGS; \
}; \
}

Definition at line 86 of file Mock.h.

#define __CXXTEST_SUPPLY__CLASS_DECLARATION( MOCK, TYPE, NAME, ARGS, REAL, CALL ) \
namespace CXXTEST_MOCK_NAMESPACE { \
class Base_##MOCK : public CxxTest::Link \
{ \
public: \
Base_##MOCK(); \
~Base_##MOCK(); \
bool setUp(); \
bool tearDown(); \
\
static Base_##MOCK &current(); \
\
virtual TYPE NAME ARGS = 0; \
\
private: \
static CxxTest::List _list; \
}; \
\
class _Unimplemented_##MOCK : public Base_##MOCK \
{ \
public: \
TYPE NAME ARGS; \
}; \
}

## __CXXTEST_SUPPLY__CLASS_IMPLEMENTATION

#define __CXXTEST_SUPPLY__CLASS_IMPLEMENTATION | ( |  | MOCK,
|  |  | TYPE,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
__CXXTEST_MOCK__COMMON_CLASS_IMPLEMENTATION( MOCK, NAME ) \
namespace CXXTEST_MOCK_NAMESPACE { \
TYPE _Unimplemented_##MOCK::NAME ARGS \
{ \
while ( false ) \
return NAME CALL; \
__CXXTEST_MOCK_UNIMPLEMENTED( NAME, ARGS ); \
return MockTraits<TYPE>::defaultValue(); \
} \
} \
\
TYPE REAL ARGS \
{ \
return CXXTEST_MOCK_NAMESPACE::Base_##MOCK::current().NAME CALL; \
}

Definition at line 178 of file Mock.h.

#define __CXXTEST_SUPPLY__CLASS_IMPLEMENTATION( MOCK, TYPE, NAME, ARGS, REAL, CALL ) \
__CXXTEST_MOCK__COMMON_CLASS_IMPLEMENTATION( MOCK, NAME ) \
namespace CXXTEST_MOCK_NAMESPACE { \
TYPE _Unimplemented_##MOCK::NAME ARGS \
{ \
while ( false ) \
return NAME CALL; \
__CXXTEST_MOCK_UNIMPLEMENTED( NAME, ARGS ); \
return MockTraits<TYPE>::defaultValue(); \
} \
} \
\
TYPE REAL ARGS \
{ \
return CXXTEST_MOCK_NAMESPACE::Base_##MOCK::current().NAME CALL; \
}

## __CXXTEST_SUPPLY__PROTOTYPE

#define __CXXTEST_SUPPLY__PROTOTYPE | ( |  | MOCK,
|  |  | TYPE,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
TYPE REAL ARGS;

Definition at line 43 of file Mock.h.

#define __CXXTEST_SUPPLY__PROTOTYPE( MOCK, TYPE, NAME, ARGS, REAL, CALL ) \
TYPE REAL ARGS;

## __CXXTEST_SUPPLY_VOID__CLASS_DECLARATION

#define __CXXTEST_SUPPLY_VOID__CLASS_DECLARATION | ( |  | MOCK,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
__CXXTEST_SUPPLY__CLASS_DECLARATION( MOCK, void, NAME, ARGS, REAL, CALL )
__CXXTEST_SUPPLY__CLASS_DECLARATION
#define __CXXTEST_SUPPLY__CLASS_DECLARATION(MOCK, TYPE, NAME, ARGS, REAL, CALL)
Definition Mock.h:86

Definition at line 111 of file Mock.h.

#define __CXXTEST_SUPPLY_VOID__CLASS_DECLARATION( MOCK, NAME, ARGS, REAL, CALL ) \
__CXXTEST_SUPPLY__CLASS_DECLARATION( MOCK, void, NAME, ARGS, REAL, CALL )

## __CXXTEST_SUPPLY_VOID__CLASS_IMPLEMENTATION

#define __CXXTEST_SUPPLY_VOID__CLASS_IMPLEMENTATION | ( |  | MOCK,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
__CXXTEST_MOCK__COMMON_CLASS_IMPLEMENTATION( MOCK, NAME ) \
namespace CXXTEST_MOCK_NAMESPACE { \
void _Unimplemented_##MOCK::NAME ARGS \
{ \
while ( false ) \
NAME CALL; \
__CXXTEST_MOCK_UNIMPLEMENTED( NAME, ARGS ); \
} \
} \
\
void REAL ARGS \
{ \
CXXTEST_MOCK_NAMESPACE::Base_##MOCK::current().NAME CALL; \
} \

Definition at line 195 of file Mock.h.

#define __CXXTEST_SUPPLY_VOID__CLASS_IMPLEMENTATION( MOCK, NAME, ARGS, REAL, CALL ) \
__CXXTEST_MOCK__COMMON_CLASS_IMPLEMENTATION( MOCK, NAME ) \
namespace CXXTEST_MOCK_NAMESPACE { \
void _Unimplemented_##MOCK::NAME ARGS \
{ \
while ( false ) \
NAME CALL; \
__CXXTEST_MOCK_UNIMPLEMENTED( NAME, ARGS ); \
} \
} \
\
void REAL ARGS \
{ \
CXXTEST_MOCK_NAMESPACE::Base_##MOCK::current().NAME CALL; \
} \

## __CXXTEST_SUPPLY_VOID__PROTOTYPE

#define __CXXTEST_SUPPLY_VOID__PROTOTYPE | ( |  | MOCK,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
__CXXTEST_SUPPLY__PROTOTYPE( MOCK, void, NAME, ARGS, REAL, CALL )
__CXXTEST_SUPPLY__PROTOTYPE
#define __CXXTEST_SUPPLY__PROTOTYPE(MOCK, TYPE, NAME, ARGS, REAL, CALL)
Definition Mock.h:43

Definition at line 46 of file Mock.h.

#define __CXXTEST_SUPPLY_VOID__PROTOTYPE( MOCK, NAME, ARGS, REAL, CALL ) \
__CXXTEST_SUPPLY__PROTOTYPE( MOCK, void, NAME, ARGS, REAL, CALL )

## __CXXTEST_XSTR

#define __CXXTEST_XSTR | ( |  | X | ) |

Value:
#X

Definition at line 220 of file Mock.h.

## CXXTEST_EXTERN_C

#define CXXTEST_EXTERN_C extern "C"

Definition at line 29 of file Mock.h.

## CXXTEST_MOCK

#define CXXTEST_MOCK | ( |  | MOCK,
|  |  | TYPE,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
__CXXTEST_MOCK__PROTOTYPE( MOCK, TYPE, NAME, ARGS, REAL, CALL )

Definition at line 289 of file Mock.h.

#define CXXTEST_MOCK( MOCK, TYPE, NAME, ARGS, REAL, CALL ) \
__CXXTEST_MOCK__PROTOTYPE( MOCK, TYPE, NAME, ARGS, REAL, CALL )

## CXXTEST_MOCK_DEFAULT_VALUE

#define CXXTEST_MOCK_DEFAULT_VALUE | ( |  | TYPE,
|  |  | VALUE )

Value:
namespace CXXTEST_MOCK_NAMESPACE \
{ \
template<> \
class MockTraits<TYPE> \
{ \
public: \
static TYPE defaultValue() { return VALUE; } \
}; \
}
VALUE
#define VALUE(list, offset)
Definition omList.c:16

Definition at line 339 of file Mock.h.

#define CXXTEST_MOCK_DEFAULT_VALUE( TYPE, VALUE ) \
namespace CXXTEST_MOCK_NAMESPACE \
{ \
template<> \
class MockTraits<TYPE> \
{ \
public: \
static TYPE defaultValue() { return VALUE; } \
}; \
}

## CXXTEST_MOCK_GLOBAL

#define CXXTEST_MOCK_GLOBAL | ( |  | TYPE,
|  |  | NAME,
|  |  | ARGS,
|  |  | CALL )

Value:
CXXTEST_MOCK( NAME, TYPE, NAME, ARGS, ::NAME, CALL )
CXXTEST_MOCK
#define CXXTEST_MOCK(MOCK, TYPE, NAME, ARGS, REAL, CALL)
Definition Mock.h:289

Definition at line 317 of file Mock.h.

#define CXXTEST_MOCK_GLOBAL( TYPE, NAME, ARGS, CALL ) \
CXXTEST_MOCK( NAME, TYPE, NAME, ARGS, ::NAME, CALL )

## CXXTEST_MOCK_NAMESPACE

#define CXXTEST_MOCK_NAMESPACE T

Definition at line 8 of file Mock.h.

## CXXTEST_MOCK_NAMESPACE_STR

#define CXXTEST_MOCK_NAMESPACE_STR __CXXTEST_STR(CXXTEST_MOCK_NAMESPACE) "::"

Definition at line 218 of file Mock.h.

## CXXTEST_MOCK_VOID

#define CXXTEST_MOCK_VOID | ( |  | MOCK,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
__CXXTEST_MOCK_VOID__PROTOTYPE( MOCK, NAME, ARGS, REAL, CALL )
__CXXTEST_MOCK_VOID__PROTOTYPE
#define __CXXTEST_MOCK_VOID__PROTOTYPE(MOCK, NAME, ARGS, REAL, CALL)
Definition Mock.h:40

Definition at line 292 of file Mock.h.

#define CXXTEST_MOCK_VOID( MOCK, NAME, ARGS, REAL, CALL ) \
__CXXTEST_MOCK_VOID__PROTOTYPE( MOCK, NAME, ARGS, REAL, CALL )

## CXXTEST_MOCK_VOID_GLOBAL

#define CXXTEST_MOCK_VOID_GLOBAL | ( |  | NAME,
|  |  | ARGS,
|  |  | CALL )

Value:
CXXTEST_MOCK_VOID( NAME, NAME, ARGS, ::NAME, CALL )
CXXTEST_MOCK_VOID
#define CXXTEST_MOCK_VOID(MOCK, NAME, ARGS, REAL, CALL)
Definition Mock.h:292

Definition at line 320 of file Mock.h.

#define CXXTEST_MOCK_VOID_GLOBAL( NAME, ARGS, CALL ) \
CXXTEST_MOCK_VOID( NAME, NAME, ARGS, ::NAME, CALL )

## CXXTEST_SUPPLY

#define CXXTEST_SUPPLY | ( |  | MOCK,
|  |  | TYPE,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
__CXXTEST_SUPPLY__PROTOTYPE( MOCK, TYPE, NAME, ARGS, REAL, CALL )

Definition at line 295 of file Mock.h.

#define CXXTEST_SUPPLY( MOCK, TYPE, NAME, ARGS, REAL, CALL ) \
__CXXTEST_SUPPLY__PROTOTYPE( MOCK, TYPE, NAME, ARGS, REAL, CALL )

## CXXTEST_SUPPLY_C

#define CXXTEST_SUPPLY_C | ( |  | MOCK,
|  |  | TYPE,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
CXXTEST_EXTERN_C __CXXTEST_SUPPLY__PROTOTYPE( MOCK, TYPE, NAME, ARGS, REAL, CALL ) \
CXXTEST_SUPPLY( MOCK, TYPE, NAME, ARGS, REAL, CALL )
CXXTEST_EXTERN_C
#define CXXTEST_EXTERN_C
Definition Mock.h:29

Definition at line 306 of file Mock.h.

#define CXXTEST_SUPPLY_C( MOCK, TYPE, NAME, ARGS, REAL, CALL ) \
CXXTEST_EXTERN_C __CXXTEST_SUPPLY__PROTOTYPE( MOCK, TYPE, NAME, ARGS, REAL, CALL ) \
CXXTEST_SUPPLY( MOCK, TYPE, NAME, ARGS, REAL, CALL )

## CXXTEST_SUPPLY_GLOBAL

#define CXXTEST_SUPPLY_GLOBAL | ( |  | TYPE,
|  |  | NAME,
|  |  | ARGS,
|  |  | CALL )

Value:
CXXTEST_SUPPLY( NAME, TYPE, NAME, ARGS, NAME, CALL )
CXXTEST_SUPPLY
#define CXXTEST_SUPPLY(MOCK, TYPE, NAME, ARGS, REAL, CALL)
Definition Mock.h:295

Definition at line 323 of file Mock.h.

#define CXXTEST_SUPPLY_GLOBAL( TYPE, NAME, ARGS, CALL ) \
CXXTEST_SUPPLY( NAME, TYPE, NAME, ARGS, NAME, CALL )

## CXXTEST_SUPPLY_GLOBAL_C

#define CXXTEST_SUPPLY_GLOBAL_C | ( |  | TYPE,
|  |  | NAME,
|  |  | ARGS,
|  |  | CALL )

Value:
CXXTEST_SUPPLY_C( NAME, TYPE, NAME, ARGS, NAME, CALL )
CXXTEST_SUPPLY_C
#define CXXTEST_SUPPLY_C(MOCK, TYPE, NAME, ARGS, REAL, CALL)
Definition Mock.h:306

Definition at line 329 of file Mock.h.

#define CXXTEST_SUPPLY_GLOBAL_C( TYPE, NAME, ARGS, CALL ) \
CXXTEST_SUPPLY_C( NAME, TYPE, NAME, ARGS, NAME, CALL )

## CXXTEST_SUPPLY_VOID

#define CXXTEST_SUPPLY_VOID | ( |  | MOCK,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
__CXXTEST_SUPPLY_VOID__PROTOTYPE( MOCK, NAME, ARGS, REAL, CALL )
__CXXTEST_SUPPLY_VOID__PROTOTYPE
#define __CXXTEST_SUPPLY_VOID__PROTOTYPE(MOCK, NAME, ARGS, REAL, CALL)
Definition Mock.h:46

Definition at line 298 of file Mock.h.

#define CXXTEST_SUPPLY_VOID( MOCK, NAME, ARGS, REAL, CALL ) \
__CXXTEST_SUPPLY_VOID__PROTOTYPE( MOCK, NAME, ARGS, REAL, CALL )

## CXXTEST_SUPPLY_VOID_C

#define CXXTEST_SUPPLY_VOID_C | ( |  | MOCK,
|  |  | NAME,
|  |  | ARGS,
|  |  | REAL,
|  |  | CALL )

Value:
CXXTEST_EXTERN_C __CXXTEST_SUPPLY_VOID__PROTOTYPE( MOCK, NAME, ARGS, REAL, CALL ) \
CXXTEST_SUPPLY_VOID( MOCK, NAME, ARGS, REAL, CALL )

Definition at line 310 of file Mock.h.

#define CXXTEST_SUPPLY_VOID_C( MOCK, NAME, ARGS, REAL, CALL ) \
CXXTEST_EXTERN_C __CXXTEST_SUPPLY_VOID__PROTOTYPE( MOCK, NAME, ARGS, REAL, CALL ) \
CXXTEST_SUPPLY_VOID( MOCK, NAME, ARGS, REAL, CALL )

## CXXTEST_SUPPLY_VOID_GLOBAL

#define CXXTEST_SUPPLY_VOID_GLOBAL | ( |  | NAME,
|  |  | ARGS,
|  |  | CALL )

Value:
CXXTEST_SUPPLY_VOID( NAME, NAME, ARGS, NAME, CALL )
CXXTEST_SUPPLY_VOID
#define CXXTEST_SUPPLY_VOID(MOCK, NAME, ARGS, REAL, CALL)
Definition Mock.h:298

Definition at line 326 of file Mock.h.

#define CXXTEST_SUPPLY_VOID_GLOBAL( NAME, ARGS, CALL ) \
CXXTEST_SUPPLY_VOID( NAME, NAME, ARGS, NAME, CALL )

## CXXTEST_SUPPLY_VOID_GLOBAL_C

#define CXXTEST_SUPPLY_VOID_GLOBAL_C | ( |  | NAME,
|  |  | ARGS,
|  |  | CALL )

Value:
CXXTEST_SUPPLY_VOID_C( NAME, NAME, ARGS, NAME, CALL )
CXXTEST_SUPPLY_VOID_C
#define CXXTEST_SUPPLY_VOID_C(MOCK, NAME, ARGS, REAL, CALL)
Definition Mock.h:310

Definition at line 332 of file Mock.h.

#define CXXTEST_SUPPLY_VOID_GLOBAL_C( NAME, ARGS, CALL ) \
CXXTEST_SUPPLY_VOID_C( NAME, NAME, ARGS, NAME, CALL )